# Interface ControlOptions

interface ControlOptions {
coerce?: boolean;
emitEvent?: boolean;
emitModelToViewChange?: boolean;
emitViewToModelChange?: boolean;
initial?: boolean;
onlySelf?: boolean;
strict?: boolean;
}

- Defined in packages/angular/forms/src/lib/types.ts:30

#####
Index

### Properties

coerce?
emitEvent?
emitModelToViewChange?
emitViewToModelChange?
initial?
onlySelf?
strict?

## Properties

### `Optional` coerce

coerce?: boolean

used in the RxapFormArray patchValue method.

true - if the value has not a control with any index. The control is created false - default behavior

- Defined in packages/angular/forms/src/lib/types.ts:42

### `Optional` emitEvent

emitEvent?: boolean

- Defined in packages/angular/forms/src/lib/types.ts:32

### `Optional` emitModelToViewChange

emitModelToViewChange?: boolean

- Defined in packages/angular/forms/src/lib/types.ts:33

### `Optional` emitViewToModelChange

emitViewToModelChange?: boolean

- Defined in packages/angular/forms/src/lib/types.ts:34

### `Optional` initial

initial?: boolean

- Defined in packages/angular/forms/src/lib/types.ts:35

### `Optional` onlySelf

onlySelf?: boolean

- Defined in packages/angular/forms/src/lib/types.ts:31

### `Optional` strict

strict?: boolean

used in the RxapFormArray patchValue method.

true - the length of the control array is limited by the length of the value. false - default behavior

example with strict = true

current from array controls: [ 0: {}, 1: {}, 2: {} ]

patch value A: [ 0: {}, 1: {}, 2: {} ] result: [ 0: {}, 1: {}, 2: {} ]

path value B: [ 0: {}, 1: {} ] result: [ 0: {}, 1: {} ]

- Defined in packages/angular/forms/src/lib/types.ts:61